> What now? I tried to deinstall one of them, but no luck:
> 
> [EMAIL PROTECTED] /var/db/pkg/gtkmm-2.12.7]# pkg_deinstall gtkmm
> ** No matching package found.
> 
> [EMAIL PROTECTED] /var/db/pkg/gtkmm-2.12.7]# cat +COMMENT 
> C++ wrapper for Gtk+, Pango, Atk
> 
> [EMAIL PROTECTED] /var/db/pkg/gtkmm-2.12.7]# cat +DESC 
> C++ wrapper for Gtk+, Pango and Atk.
> 
> WWW: http://gtkmm.sourceforge.net/
> [EMAIL PROTECTED] /var/db/pkg/gtkmm-2.12.7]# 

To deinstall a package, you have to pass the whole package name with
the version string included to pkg_delete or pkg_deinstall, or you
have the option to use a wildcard, e. g.

pkg_deinstall gtkmm-2.12.7
pkg_deinstall gtkmm\*

But I'd recommend the first possibility over the second one since the
second one would also deinstall any other versions possibly present on
your system, which is possible since your installed packages are
somehow corrupt.

-- 
(-K JohnNy alias Partial Derivative ∂
[home] http://johnny64.fixinko.sk/
[icq] 338328204 [abandoned]
[jabber] [EMAIL PROTECTED]
[skype] JohnNy64-konik [abandoned]

Attachment: pgp6DcB7KsvTb.pgp
Description: PGP signature

Reply via email to